Bug 109740 - the linux console does not display the vt100 graphics characters
the linux console does not display the vt100 graphics characters
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 10:35 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 11:44:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-11 10:35:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
if I send to the linux text console the control characters in order 
to enter the graphics mode (vt100 graphics), the video remains in 
text mode and instead of displaying lines , il displays characters.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.go to init 3
2.create a file called text containing  ESC ( 0 qqqqqqq
3.run the command   cat text

instead of seeing a continuos line, you see qqqqqqq
    

Additional info:
Comment 1 Eido Inoue 2004-02-05 11:15:05 EST
You may wish to investigate the mode of your console-- Unicode or
whatever.

Anyway, this is not a ncurses bug if you are sending raw ANSI escape
codes to the console.

Closing bug as invalid.

Comment 2 Need Real Name 2004-02-09 11:43:11 EST
I don't know if the component responsable is ncurses or  another one, 
but the bug EXISTS and does not permit any program to work if the
program itself looks for display, rectangles or lines on the console.
This happens from version Redhat Linux 7.3 up to version Redhat Linux 
9.0 and also in the Fedora version.
The problem does not exist  Redhat version 7.2 and all former 
versions; in all the Suse versions, Mandrake,Slackware that we tested.
If someone  intends to solve this problem , then we could use Fedora.
Otherwise we will  have to use another distribution.

Comment 3 Eido Inoue 2004-02-09 11:44:23 EST
Your method of drawing line characters is obsolete (this is why you
should use ncurses and not attempt to output raw characters) for UTF-8
based systems.

To make your example work, you should do this:

unicode_stop; cat text; unicode_start

unicode_stop and unicode_start are script files which output the
proper ANSI prefixes to do what you want.
Comment 4 Thomas E. Dickey 2004-05-22 11:50:51 EDT
If he'd used ncurses (as part of a full-screen application
rather than termcap- or terminfo- or raw-strings), ncurses
does have workarounds for the missing functionality.

Note You need to log in before you can comment on or make changes to this bug.